.modal {
    width: 95%;
    border-radius: 19px;
    max-width: rem(563);
    box-shadow: 0px 4px 50px rgba(0, 0, 0, 0.44);
    font-family: $font-family-secondary;

    &--sm {
        max-width: rem(380);
    }

    &__header {
        text-align: center;
        font-weight: 400;
        font-size: rem(24);
        line-height: rem(36);
        background: #E8EDF1;
        padding: rem(6) rem(24);
        border-radius: 19px 19px 0 0;
    }

    &__body {
       border-radius: 0 0 19px 19px;
        padding: rem(20) rem(24) rem(38) rem(24);
    }

    &__close {
        top: 12px;
        right: 12px;
        margin: 0;
        padding: 0;
        z-index: 100;
        width: 26px;
        height: 26px;
        border: none;
        outline: none;
        cursor: pointer;
        position: absolute;
        background: #E41622;
        border-radius: 50%;
        display: inline-block;
        transition: .3s;

        &:after,
        &:before {
            top: calc(50% - 1px);
            left: calc(50% - 8px);
            width: 16px;
            height: 2px;
            content: '';
            z-index: 10;
            position: absolute;
            background: $white;
        }

        &:after {
            transform: rotate(-45deg);
        }

        &:before {
            transform: rotate(45deg);
        }

        &:hover {
            background: #EC434D;
            transition: .3s;
        }

        &:active {
            background: #B00F18;
        }
    }

    &__text {
        text-align: center;
        font-weight: 300;
        font-size: rem(15);
        line-height: 135%;
        margin-bottom: rem(26);
    }

    .btn-sm {
        min-width: rem(138);
    }

    @include media-breakpoint-up(md) {
        width: rem(563);

        &--sm {
            width: rem(380);
        }

        &__body {
            padding: rem(20) rem(28) rem(38) rem(28);
        }
    }
}

.checkout-header {
    display: flex;
    align-items: center;
    font-weight: 300;
    font-size: rem(15);
    line-height: 135%;
    margin-bottom: rem(34);

    &__image {
        width: rem(40);
        flex-shrink: 0;
        margin-right: rem(8);
    }
}

.checkout-data {
    display: grid;
    grid-row-gap: rem(20);
    grid-column-gap: rem(18);
    grid-template-columns: 1fr;
    margin-bottom: rem(38);

    &__price {
        font-weight: 700;
        font-size: rem(32);
        line-height: rem(40);
        text-align: center;
    }

    @include media-breakpoint-up(sm) {
        grid-template-columns: 1fr 1fr;
    }
}

.checkout-systems {
    margin-bottom: rem(26);
    display: grid;
    grid-row-gap: rem(12);
    grid-column-gap: rem(16);
    grid-template-columns: 1fr 1fr;

    @include media-breakpoint-up(sm) {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }

}

.checkout-item {
    display: block;
    cursor: pointer;
    font-weight: 400;
    position: relative;

    input {
        @include visually-hidden;
    }

    &__label {
        display: block;
       // overflow: hidden;
        font-style: normal;
        background: $white;
        position: relative;
        box-shadow: 0px 5px 20px rgba(0, 0, 0, 0.12);
        border-radius: 10px;
        transition: .3s;

        &:hover {
            box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
            transition: .3s;
        }
    }

    &__image {
        z-index: 1;
        display: block;
        overflow: hidden;
        position: relative;
        border-radius: 10px;
    }

    &__title {
        left: 0;
        right: 0;
        bottom: rem(10);
        z-index: 20;
        font-weight: 300;
        font-size: rem(16);
        line-height: 153%;
        position: absolute;
        font-style: normal;
        text-align: center;
    }

    &__sale {
        top: 0;
        right: 0;
        z-index: 30;
        display: block;
        color: $white;
        font-weight: 500;
        font-size: rem(14);
        line-height: rem(20);
        background: $green;
        position: absolute;
        padding: rem(3) rem(5);
        border-radius: 5px;
    }

    input:checked + .checkout-item__label {
        box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
        transition: .3s;

        &:before {
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            content: '';
            z-index: 50;
            position: absolute;
            border-radius: 10px;
            border: 2px solid #48C053;
        }
    }
}

.btn-form {
    min-width: rem(228);
}
